Skip to main content
`Ctrl`+`K`

# PetscObjectComposedDataSetInt

attach `PetscInt` data to a `PetscObject` that may be later accessed with `PetscObjectComposedDataGetInt()`

## Synopsis

    #include "petsc/private/petscimpl.h"
    PetscErrorCode PetscObjectComposedDataSetInt(PetscObject obj, PetscInt id, PetscInt data)

Not Collective

## Input Parameters

- obj - the object to which data is to be attached

- id - the identifier for the data

- data - the data to be attached, a `PetscInt`

## Notes

The `data` identifier can be created through a call to `PetscObjectComposedDataRegister()`

This allows the efficient composition of a single integer value with a `PetscObject`. Complex data may be attached with `PetscObjectCompose()`

## See Also

`PetscObjectComposedDataGetInt()`, `PetscObjectComposedDataGetReal()`, `PetscObjectComposedDataSetReal()`, `PetscObjectComposedDataGetIntstar()`, `PetscObjectComposedDataSetIntstar()`, `PetscObject`, `PetscObjectCompose()`, `PetscObjectQuery()`

## Level

developer

## Location

include/petsc/private/petscimpl.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages